//---------------------------------------------------------------------------

#ifndef FormJsonEditorTextViewH
#define FormJsonEditorTextViewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <Graphics.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

class TScEdit;

class TfrmJsonEditorTextView : public TForm
{
__published:	// IDE-managed Components
private:	// User declarations
	TScEdit * m_se;
	typedef void (__closure *CallbackTextChange)(void);
	int lineCount;
	AnsiString fontName;
	int fontSize;
protected:
	void __fastcall WMNotify(TMessage &Message);
	BEGIN_MESSAGE_MAP
		VCL_MESSAGE_HANDLER(WM_NOTIFY, TMessage, WMNotify)
	END_MESSAGE_MAP(TForm);	
public:		// User declarations
	__fastcall TfrmJsonEditorTextView(TComponent* Owner);
	__fastcall ~TfrmJsonEditorTextView();
#if 0
	sptr_t SendEditor(unsigned int iMessage, uptr_t wParam = 0, sptr_t lParam = 0)
	{
		return m_fnDirect(m_ptrDirect, iMessage, wParam, lParam);
	}
#endif
	CallbackTextChange callbackTextChange;
	void SetText(AnsiString text);
	void SetSciFocus(void);
	AnsiString GetText(void);
	void MarkError(int line);
	void Search(AnsiString text, const TStringSearchOptions &so);
	int SetFont(AnsiString name, int size, TFontStyles style);	
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmJsonEditorTextView *frmJsonEditorTextView;
//---------------------------------------------------------------------------
#endif
