/** \file
*/
//---------------------------------------------------------------------------

#ifndef SettingsH
#define SettingsH
//---------------------------------------------------------------------------
#include <System.hpp>

class Settings
{
public:
	bool Read(AnsiString asFileName);
	bool Write(AnsiString asFileName);
	struct _frmMain
	{
		int iPosX, iPosY;				///< main window coordinates
		int iHeight, iWidth;			///< main window size
		bool bWindowMaximized;			///< is main window maximize?
		bool bAlwaysOnTop;
	} frmMain;
	struct _Logging
	{
		bool bLogToFile;
		unsigned int iMaxUiLogLines;
	} Logging;
	struct _Sipp
	{
		AnsiString asExecutable;
		int iScenarioType;
		AnsiString asRemoteHost;
		AnsiString asRemotePort;
		AnsiString asScenarioFile;
		bool bUseInf;
		AnsiString asInfFile;
		AnsiString asScenarioRunCnt;
		AnsiString asScenarioMaxSimult;
		AnsiString asRate, asRatePeriod;
		AnsiString asExtraParams;
	} Sipp;
};

#endif
