//---------------------------------------------------------------------------

#ifndef FormMainH
#define FormMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "Settings.h"
#include <Menus.hpp>
#include <ActnList.hpp>
#include <ImgList.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TMainMenu *MainMenu;
	TMenuItem *miFile;
	TMenuItem *miSettings;
	TMenuItem *miHelp;
	TMenuItem *miAbout;
	TMenuItem *miCommonSettings;
	TActionList *ActionList;
	TImageList *imglistActions;
	TAction *actShowAbout;
	TAction *actShowSettings;
	TStatusBar *StatusBar;
	TMenuItem *miView;
	TMenuItem *miViewLog;
	TAction *actShowLog;
	TPageControl *pcMain;
	TTabSheet *tsParameters;
	TTabSheet *tsXml;
	TTabSheet *tsCsv;
	TPanel *pnlBottom;
	TLabel *lblScenarioType;
	TComboBox *cbScenarioType;
	TLabel *lblHost;
	TEdit *edHost;
	TLabel *lblPort;
	TEdit *edPort;
	TLabel *lblScenarioFile;
	TEdit *edScenarioFile;
	TCheckBox *chbInfFile;
	TEdit *edInfFile;
	TPanel *pnlBottomRight;
	TButton *btnLaunch;
	TLabel *lblExecCnt;
	TEdit *edScenarioRunCnt;
	TLabel *lblMaxSimultTests;
	TEdit *edScenarioMaxSimult;
	TLabel *lblRate;
	TEdit *edRate;
	TLabel *Label1;
	TEdit *edRatePeriod;
	TLabel *lblExtraParams;
	TEdit *edExtraParams;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall actShowAboutExecute(TObject *Sender);
	void __fastcall actShowSettingsExecute(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall actShowLogExecute(TObject *Sender);
	void __fastcall cbScenarioTypeChange(TObject *Sender);
	void __fastcall btnLaunchClick(TObject *Sender);
private:	// User declarations
	Settings appSettings;
	void __fastcall WMDropFiles(TWMDropFiles &message);
	void AddSourceFile(AnsiString name);


public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
	BEGIN_MESSAGE_MAP
	MESSAGE_HANDLER(WM_DROPFILES, TWMDropFiles, WMDropFiles)	
	END_MESSAGE_MAP(TForm);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
